.TH gclamp 1 "Version 1.2.0, Monday 11th April 2011" "David M. Balean"
.SH NAME
gclamp \- Gtk++ frontend for clamav (clamscan and freshclam)
.SH SYNOPSIS
\fBgclamp\fP\fP
.SH "DESCRIPTION"
Using GTK++, this program starts by loading the main window. This is
divided into a menu, a notebook consisting of six pages (Actions,
Directories to Scan, Directories to Omit, Files to Scan, Files to Omit
and Options) and a row of buttons at the bottom.
.br
.SS "Menu"

This consists of a bar with three menus, \fBFile\fP, \fBView\fP and \fBHelp\fP.

\(bu  \fBFile\fP
.br
.in +3 
This constists of \fBUpdate\fP, \fBScan\fP, \fBComplete Scan\fP, \fBSave defaults\fP
.br
\fBLoad defaults\fP, \fBRestart as root\fP and  \fBQuit\fP.
.br
.sp
.in
\(bu  \fBView\fP
.br
.in +3
This constists of \fBView freshclam.log\fP, \fBView gclamp.log\fP and
.br
\fBView gclamp.defaults\fP.
.sp
.in
\(bu  \fBHelp\fP
.br
.in +3
This has two entries,\fBBrowse Documentation\fP and  \fBAbout\fP.
.in
.
.SS "Actions"
The available actions are \fBUPDATE DATABASE\fP, \fBVIEW freshclam.log\fP,
.br
\fBVIEW gclamp.log\fP, \fBRESTART as root\fP, \fBSCAN\fP and \fBCOMPLETE SCAN\fP. These should
be self-explanatory. When re-starting as root the original user's
defaults are used. As root, the name of the default file appears in
place of the restart button. \fBCOMPLETE SCAN\fP first restarts as root then
carries out a scan of the whole computer.
.br
\fBNOTE:\fP
.br
To update the database, restart as root and for a complete scan the
user  has  the choice of either su and sudo together, su alone or sudo
alone in order to run the command as root.  A graphical frontend is now
part of \fIgclamp\fP but either \fIsu\fP, \fIsudo\fP or both must be installed and if
\fIsudo\fP is to be used the user must be included in the file \fI/etc/sudoers\fP
as follows:-
.br
.B
username	ALL=(ALL) 	ALL
.br
and it should already contain the line:-
.br
.B
root	ALL=(ALL) 	ALL

.SS "Directories to Scan"
The user can select which directories to scan for viruses. Also, if "R"
appears in front of the selected directory the scan is recursive, that
is the scan will descend into sub-directories. The user can change this
for each directory chosen by selecting that directory and clicking the
\fBR-ON/R-OFF\fP button.
.SS "Directories to Omit"
The user can select directories to omit from the scan.
.SS "Files to Scan"
The user can select which individual files should be scanned.
.SS "Files to Omit"
The user can select files to omit from the scan.
.br
.B
NOTE:
The selected filename is a pattern so all filenames agreeing
with that pattern are excluded from the scan. Also 
.SS "Options"
This page is divided into four with frames as follows.
.br
\fILog\fP
.br
The user can select if a log is wanted and if so whether it should be
in overwrite or append mode. Also the user can elect to include empty
and/or OK files in the log.
.br
\fIInfected Files\fP
.br
the user can choose what, if anything, should be done with infected
files (MOVE, COPY, DELETE or LEAVE).
.br
Beneath this frame the user can enter the preferred browser. The
default is \fBfirefox\fP.
.br
.br
\fITo become "root" use:-\fP
.br
As mentioned above, the user can choose of either \fBsu and sudo\fP, \fBsu alone\fP or  \fBsudo alone\fP to  use as the graphical
frontend to become root. The chosen one(s) must be
installed if not already present.
.br
\fIVirus Database\fP
.br
The user can choose in days when the virus database
is considered out of date and receive a warning. The user can also
choose to have automatic updates and choose how out of date the
database should be, in days, for it to act.
.sp
At the bottom of the main window, below the pages, the user has the
option of saving all these choices to a default file. This is situated
in directory "gclamp" in the user's home directory. This is also where
the log file is written. It also contains "quarantine" which is the
sub-directory for infected files. The other two buttons are to load the
defaults and to quit gclamp. These defaults are loaded automatically
when gclamp starts if present.
.SH "NOTE"
The log file \fIfreshclam.log\fP must exist at  \fI/var/log/freshclam.log\fP.
.br
In file /etc/freshclam.conf:-
.br
\(bu Edit to comment out \fBExample\fP
.br
\(bu Enable \fBUpdateLogFile /var/log/freshclam\fP by removing \fB#\fP
.br
\(bu Fix \fBDatabaseMirror\fP with the country code
.sp
If not already fixed, it may be required to do the following as root:-
.sp
# groupadd clamav
.br
# useradd -g clamav -s /bin/false -c "Clam AntiVirus" clamav
.br
# touch /var/log/freshclam.log
.br
# chmod 0666 /var/log/freshclam.log
.sp
\fBThe file \fI/var/log/freshclam.log  \fBMUST be available to everyone for both  read and write!
.sp
\fBThe directory \fI/tmp  \fBMUST be available to everyone for both  read and write!
.SH "FILES"
.I
/usr/bin/gclamp
The executable file
.br
.I
/usr/bin/gclamp_update
The update executable
.br
.I
~/gclamp/gclamp.defaults
The defaults file for an ordinary scan
.br
.I
~/gclamp/gclamp.log
The log file created by gclamp
.br
.I
~/gclamp/quarantine/
The directory containing moved/copied virus files
.sp
.I
/usr/share/man/man1/gclamp.1.gz
This manual page
.br
.I
/usr/share/gclamp/doc/gclamp.html
HTML documentation
.sp
.I
/usr/share/pixmaps/icon.png
Pixmaps
.br
.I
/usr/share/pixmaps/icon.svg
.br
.I
/usr/share/pixmaps/icon.svgz

.SH "SEE ALSO"
clamscan(1), freshclam(1), freshclam.conf(5), su(1), sudo(8)
