/****************************************************************************
*RevHead_Start                                                              *
*                                                                           *
* Project Details                                                           *
* ---------------                                                           *
*Project Name:    gclamp                                                    *
*Project Version: 1.2.0                                                     *
*Copyright Owner: David M. Balean <linprogs@balean.net>                     *
*Copyright Notice:                                                          *
* This program is free software; you can redistribute it and/or modify it   *
* under the terms of the GNU General Public License as published by         *
* the Free Software Foundation, either version 3 of the License or,         *
* (at your option) any later version.                                       *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
* See the GNU General Public License for more details.                      *
* You should have received a copy of the GNU General Public License         *
* along with this program. If not, see <http://www.gnu.org/licenses/>.      *
*                                                                           *
*Project Date:    Tuesday 17th May 2011                                     *
*                                                                           *
*Start DateStamp: 04-May-2009 10.15.10 -36000 0                             *
*                                                                           *
*Contact:                                                                   *
* email: linprogs@balean.net                                                *
* snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA *
* URL:   http://balean.net/linprogs                                         *
*                                                                           *
*Project Summary:                                                           *
* Gtk++ frontend for CLAMav Program                                         *
*                                                                           *
*****************************************************************************
*                                                                           *
*This File:       view.h                                                    *
*Author:          David M. Balean <linprogs@balean.net>                     *
*DateStamp:       30-Dec-2010 13.03.47 -36000 3600                          *
*                                                                           *
*File Summary:                                                              *
* Header file                                                               *
*                                                                           *
*RevHead_End                                                                *
****************************************************************************/

#ifndef __VIEW_H__
#define __VIEW_H__

#include <gtk/gtk.h>
#include "gclamp.h"

class View
{
 public:
  View(class Gclamp *g, string title, string text);
  ~View(void);

 
 private:
  static void close_dialog (GtkWidget *widget, View *view);
  static void quit_view(GtkWidget *widget, View *view);
  static void callback_clear_gclamp_log(GtkWidget *widget, View *view);

  void create_display(string pathname);
  string title;
  GdkPixbuf *pixbuf;
 
  Gclamp *g;
  GtkWidget *window;
  PangoAttribute *attr;
  PangoAttrList *attr_list;
    
 protected:

};


#endif // __VIEW_H__
