/****************************************************************************
*RevHead_Start                                                              *
*                                                                           *
* Project Details                                                           *
* ---------------                                                           *
*Project Name:    gclamp                                                    *
*Project Version: 1.2.0                                                     *
*Copyright Owner: David M. Balean <linprogs@balean.net>                     *
*Copyright Notice:                                                          *
* This program is free software; you can redistribute it and/or modify it   *
* under the terms of the GNU General Public License as published by         *
* the Free Software Foundation, either version 3 of the License or,         *
* (at your option) any later version.                                       *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
* See the GNU General Public License for more details.                      *
* You should have received a copy of the GNU General Public License         *
* along with this program. If not, see <http://www.gnu.org/licenses/>.      *
*                                                                           *
*Project Date:    Tuesday 17th May 2011                                     *
*                                                                           *
*Start DateStamp: 04-May-2009 10.15.10 -36000 0                             *
*                                                                           *
*Contact:                                                                   *
* email: linprogs@balean.net                                                *
* snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA *
* URL:   http://balean.net/linprogs                                         *
*                                                                           *
*Project Summary:                                                           *
* Gtk++ frontend for CLAMav Program                                         *
*                                                                           *
*****************************************************************************
*                                                                           *
*This File:       update.h                                                  *
*Author:          David M. Balean <linprogs@balean.net>                     *
*DateStamp:       15-Apr-2010 10.43.06 -36000 0                             *
*                                                                           *
*RevHead_End                                                                *
****************************************************************************/
#ifndef __UPDATE_H__
#define __UPDATE_H__

#include <iostream>

#include <sys/socket.h>
#include <netdb.h>
#include <arpa/inet.h>

#include <gtk/gtk.h>


using namespace std;

struct Freshclam_Codes
  {
  int return_code;
  string message;
  };

class Update
{
public:
  Update(int argc, char *argv[]);
  ~Update(void);


private:
  int new_process(string command);
  static void callback_quit(GtkWidget *widget, Update *up);
  static void callback_close(GtkWidget *widget, Update *up);
  static void callback_visible(GtkWidget *widget, GdkEvent *event, Update *up);
  void send_message(string message, Update *up);
  static gboolean do_update(gpointer gdata);
  bool isfile(string pathname, off_t *file_size);

  struct  addrinfo *get_ip(char *address_name);
  bool internet_connected(void);

  GtkWidget *window;
  GtkWidget *box;
  GtkWidget *update_label;
  GtkWidget *close_button;
  int fd;

  static string log_pathname;

  static guint visible_signal;

  static struct Freshclam_Codes codes[17];

  bool finished;
  bool error;

  GdkPixbuf *pixbuf;




protected:

};


#endif //__UPDATE_H__